> For the complete documentation index, see [llms.txt](https://docs.42.space/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.42.space/for-developers/rest-api-alpha/markets/get-market-timeline.md).

# Get market timeline

GET /api/v1/markets/{market\_address}/timeline

## Get market timeline

> Returns the full lifecycle event history for the question backing this market — including when it was launched, extended, resolved, and finalised — with timestamps and winning outcomes for each event.

```json
{"openapi":"3.1.1","info":{"title":"FortyTwo Read API","version":"1.0"},"tags":[{"description":"GET /api/v1/markets/{market_address}/timeline","name":"get-market-timeline"}],"servers":[{"url":"https://rest.ft.42.space/"}],"paths":{"/api/v1/markets/{market_address}/timeline":{"get":{"description":"Returns the full lifecycle event history for the question backing this market — including when it was launched, extended, resolved, and finalised — with timestamps and winning outcomes for each event.","tags":["get-market-timeline"],"summary":"Get market timeline","parameters":[{"schema":{"type":"string"},"description":"Market contract address","name":"market_address","in":"path","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/internal_handler.TimelineResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ft_market-service-v2_pkg_api.ErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ft_market-service-v2_pkg_api.ErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ft_market-service-v2_pkg_api.ErrorResponse"}}}}}}}},"components":{"schemas":{"internal_handler.TimelineResponse":{"type":"object","properties":{"events":{"type":"array","items":{"$ref":"#/components/schemas/internal_handler.TimelineEvent"}}}},"internal_handler.TimelineEvent":{"description":"A timeline entry. `type` is one of `launched`, `extended`, `shortened`, `flagged`, `unflagged`, `resolved`, `unresolve`, `finalised`. `newEndTimestamp` is set on extended/shortened; `flagExpiry` is set on flagged when the on-chain event supplied an expiry; `answer`/`winningOutcomes` are set on resolved and finalised.","type":"object","properties":{"answer":{"type":"integer"},"flagExpiry":{"type":"integer"},"newEndTimestamp":{"type":"integer"},"timestamp":{"type":"integer"},"type":{"type":"string"},"winningOutcomes":{"type":"array","items":{"$ref":"#/components/schemas/internal_handler.WinningOutcomeItem"}}}},"internal_handler.WinningOutcomeItem":{"type":"object","properties":{"name":{"type":"string"},"symbol":{"type":"string"}}},"ft_market-service-v2_pkg_api.ErrorResponse":{"type":"object","properties":{"code":{"type":"integer"},"error":{"type":"string"},"message":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.42.space/for-developers/rest-api-alpha/markets/get-market-timeline.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
